Redmine - Feature #36701

Update Chart.js to 3.7.1
2022-02-24 20:57 - Maciej Pankanin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Third-party libraries Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

Redmine is now using 2.8.0 which was released almost 3 years ago (14 Mar 2019). There are use cases in which plugin developers
would want to use Chart.js but to use latest features they have to ship another js bundle.

Chart.js 2.8.0
Chart.js 3.7.1

| looked into code, there are only few usages, so it should not be hard to upgrade.

Also it would be nice to upgrade jQuery to latest (3.6.0 atm).
| wonder why jQuery is shipped in single bundle with jQueryUl and Rails UJS making them harder to upgrade.

Associated revisions

Revision 21446 - 2022-03-03 15:17 - Go MAEDA
Update Chart.js to 3.7.1 (#36701).

Patch by Maciej Pankanin.

History

#1 - 2022-02-24 21:48 - Marius BALTEANU
Please see #35729 for jQuery 3.6.0.

I'm in favour of updating the Chart.js library.

#2 - 2022-02-25 20:14 - Maciej Pankanin
- File update_chartjs.patch added

Made an update following this guide: https:/www.chartjs.org/docs/latest/getting-started/v3-migration.html

#3 - 2022-02-26 08:09 - Go MAEDA

- Target version set to 5.0.0

Thank you for posting the patch. Charts on Issue summary page and repository page are displayed without problem.
Setting the target version to 5.0.0.

#4 - 2022-03-03 15:17 - Go MAEDA

- Subject changed from Update Chart.js to latest (3.7.1) to Update Chart.js to 3.7.1

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

update_chartjs.patch 400 KB 2022-02-25 Maciej Pankanin
